Subject: Re: [PATCH 0/6] gitweb: Further refactoring

From: Jakub Narebski <[email-masked]>
Date: Sun, 06 Aug 2006 12:52:58 +0200

Junio C Hamano wrote:

> The earlier 9-series looked fine, so I intend to apply them all
> to "next".  However, they were all tab damaged and it was very
> painful to fix up the patch.

I'm sorry for that. As far as I checked, KNode (news reader which I used for
sending 9-(micro)series) preserves tabs when attaching file inline. I guess
that GMane news-to-mail gateway might munge whitespace. I won't use KNode
to send patches, then.

By the way, can anyone tell me how to setup git-send-email to send email via
GMail (authenticated SMTP, via STARTTLS/SSL, on ports 25 or 465 or 587)?

> This series, PATCH 1/5 (6?) looks fine (it is a bugfix for
> git_diff_print), but among others, one of them had a seriously
> fishy preimage (e.g. as you can see in "next", I haven't
> accepted the function rename patch but 3/6 talks about
> format_mark_referencing), and at that point my patience ran out.

I _have_ notified that this 6-series is on top of previous series,
namely '[PATCH 7/5] Merge changes in "split patch 1" series' patch.

But I try to redo not accepted changes on top of next, and put
"gitweb: Great subroutines renaming" on top of series. (BTW. this 
is simple search'n'replace on subroutine names... well, perhaps after
1.4.2...).

[...]
> Please note that I am primarily concentrating on polishing what
> is in "master" to finish 1.4.2 for now, so I might have missed
> breakage in these gitweb patches that I queued for "next".

I'm trying to check my gitweb patches, by checking the output of all
possible actions, althought I think it doesn't encompass all the cases...

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git